Skip to content
Start here

Get account share by ID

client.ResourceSharing.Get(ctx, shareID, params) (*ResourceSharingGetResponse, error)
GET/accounts/{account_id}/shares/{share_id}

Fetches share by ID.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
shareID string

Share identifier tag.

maxLength32
params ResourceSharingGetParams
AccountID param.Field[string]

Path param: Account identifier.

maxLength32
IncludeRecipientCounts param.Field[bool]optional

Query param: Include recipient counts in the response.

IncludeResources param.Field[bool]optional

Query param: Include resources in the response.

ReturnsExpand Collapse
type ResourceSharingGetResponse struct{…}
ID string

Share identifier tag.

maxLength32
AccountID string

Account identifier.

maxLength32
AccountName string

The display name of an account.

Created Time

When the share was created.

formatdate-time
Modified Time

When the share was modified.

formatdate-time
Name string

The name of the share.

OrganizationID string

Organization identifier.

maxLength32
Status ResourceSharingGetResponseStatus
One of the following:
const ResourceSharingGetResponseStatusActive ResourceSharingGetResponseStatus = "active"
const ResourceSharingGetResponseStatusDeleting ResourceSharingGetResponseStatus = "deleting"
const ResourceSharingGetResponseStatusDeleted ResourceSharingGetResponseStatus = "deleted"
TargetType ResourceSharingGetResponseTargetType
One of the following:
const ResourceSharingGetResponseTargetTypeAccount ResourceSharingGetResponseTargetType = "account"
const ResourceSharingGetResponseTargetTypeOrganization ResourceSharingGetResponseTargetType = "organization"
AssociatedRecipientCount int64optional

The number of recipients in the 'associated' state. This field is only included when requested via the 'include_recipient_counts' parameter.

AssociatingRecipientCount int64optional

The number of recipients in the 'associating' state. This field is only included when requested via the 'include_recipient_counts' parameter.

DisassociatedRecipientCount int64optional

The number of recipients in the 'disassociated' state. This field is only included when requested via the 'include_recipient_counts' parameter.

DisassociatingRecipientCount int64optional

The number of recipients in the 'disassociating' state. This field is only included when requested via the 'include_recipient_counts' parameter.

Kind ResourceSharingGetResponseKindoptional
One of the following:
const ResourceSharingGetResponseKindSent ResourceSharingGetResponseKind = "sent"
const ResourceSharingGetResponseKindReceived ResourceSharingGetResponseKind = "received"
Resources []ResourceSharingGetResponseResourceoptional

A list of resources that are part of the share. This field is only included when requested via the 'include_resources' parameter.

ID string

Share Resource identifier.

maxLength32
Created Time

When the share was created.

formatdate-time
Meta unknown

Resource Metadata.

Modified Time

When the share was modified.

formatdate-time
ResourceAccountID string

Account identifier.

maxLength32
ResourceID string

Share Resource identifier.

maxLength32
ResourceType ResourceSharingGetResponseResourcesResourceType

Resource Type.

One of the following:
const ResourceSharingGetResponseResourcesResourceTypeCustomRuleset ResourceSharingGetResponseResourcesResourceType = "custom-ruleset"
const ResourceSharingGetResponseResourcesResourceTypeGatewayPolicy ResourceSharingGetResponseResourcesResourceType = "gateway-policy"
const ResourceSharingGetResponseResourcesResourceTypeGatewayDestinationIP ResourceSharingGetResponseResourcesResourceType = "gateway-destination-ip"
const ResourceSharingGetResponseResourcesResourceTypeGatewayBlockPageSettings ResourceSharingGetResponseResourcesResourceType = "gateway-block-page-settings"
const ResourceSharingGetResponseResourcesResourceTypeGatewayExtendedEmailMatching ResourceSharingGetResponseResourcesResourceType = "gateway-extended-email-matching"
ResourceVersion int64

Resource Version.

Status ResourceSharingGetResponseResourcesStatus

Resource Status.

One of the following:
const ResourceSharingGetResponseResourcesStatusActive ResourceSharingGetResponseResourcesStatus = "active"
const ResourceSharingGetResponseResourcesStatusDeleting ResourceSharingGetResponseResourcesStatus = "deleting"
const ResourceSharingGetResponseResourcesStatusDeleted ResourceSharingGetResponseResourcesStatus = "deleted"

Get account share by ID

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/resource_sharing"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  resourceSharing, err := client.ResourceSharing.Get(
    context.TODO(),
    "3fd85f74b32742f1bff64a85009dda07",
    resource_sharing.ResourceSharingGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", resourceSharing.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "account_name": "Account A",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "name": "My Shared WAF Managed Rule",
    "organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "status": "active",
    "target_type": "account",
    "associated_recipient_count": 10,
    "associating_recipient_count": 1,
    "disassociated_recipient_count": 0,
    "disassociating_recipient_count": 0,
    "kind": "sent",
    "resources": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created": "2023-09-21T18:56:32.624632Z",
        "meta": {},
        "modified": "2023-09-21T18:56:32.624632Z",
        "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_type": "custom-ruleset",
        "resource_version": 0,
        "status": "active"
      }
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "account_name": "Account A",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "name": "My Shared WAF Managed Rule",
    "organization_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "status": "active",
    "target_type": "account",
    "associated_recipient_count": 10,
    "associating_recipient_count": 1,
    "disassociated_recipient_count": 0,
    "disassociating_recipient_count": 0,
    "kind": "sent",
    "resources": [
      {
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created": "2023-09-21T18:56:32.624632Z",
        "meta": {},
        "modified": "2023-09-21T18:56:32.624632Z",
        "resource_account_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_type": "custom-ruleset",
        "resource_version": 0,
        "status": "active"
      }
    ]
  }
}